/ Grid / WrapMode
Search results

WrapMode API in Angular Grid API component

Defines the wrap mode.

  • Both - Wraps both header and content.
  • Header - Wraps header alone.
  • Content - Wraps content alone.
    <ejs-grid [dataSource]='data' allowTextWrap='true' [textWrapSettings]='wrapOption'> </ejs-grid>
import { Component, OnInit } from '@angular/core';
import { orderData } from './data';
@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html'
})
export class AppComponent {
    public data: Object[];
    public wrapOption: Object;
    public ngOnInit(): void {
        this.data = orderData;
        this.wrapOption = { wrapMode: 'Both' };
    }
}

/ Grid / WrapMode
Search results

WrapMode API in React Grid API component

Defines the wrap mode.

  • Both - Wraps both header and content.
  • Header - Wraps header alone.
  • Content - Wraps content alone.
import { render } from 'react-dom';
import * as React from 'react';
import { GridComponent } from '@syncfusion/ej2-react-grids';
import { data } from './data';

export default class App extends React.Component<{}, {}> {
    public render() {
        return (<GridComponent dataSource={data}  allowTextWrap={true} textWrapSettings={{ wrapMode: 'Both' }} />);
    }
}